#common.py:
import numpy as np

host  = '192.168.3.136'
port = 60000
timeout = 2

## status1 = 9
## status2 = 9

## # makes sure these faults match the defaults in ircam commands or there will be
## # mismatch between values!
## rows = 16
## cols = 16
## roff = 1
## coff = 4

## framesPerReset=13
## numberOfFrames=26

## dataready1 = 0
## dataready2 = 0
## myArray = np.zeros((rows, cols), dtype=np.float32)
## fluxArray = np.zeros((12,numberOfFrames), dtype=np.float32)
## psArray = np.zeros((rows/2, 1+cols/2), dtype=np.float32)
## fmArray = np.zeros((6,6), dtype=np.float32)
## #fm peaks: 4 quads (UR,UL,BL,BR), x,y,peak,Fraction in peak,total counts
## fmPeaks = np.zeros((4,5), dtype=np.float32)

## gdtInfo = np.zeros(7, dtype=np.uint32)
## delayLinesOffsets = np.zeros(6, dtype=np.float64)
## updatedOffsets = np.zeros(6, dtype=np.float64)
## weights = np.zeros(6, dtype=np.float32)
## opds  = np.zeros(6, dtype=np.float32)
 
#Matrix to convert channelNr into FringeNr
#                        L1R1, L2R2, L3R3, L4R4, L5R5, L6R6
#                                   FR4  FR1
chNrL2Fringe = np.array([0,    2,    4,    6,    8,   10])
chNrR2Fringe = np.array([1,    3,    5,    7,    9,   11])


nBL = 6

numberOfFrames = 42   #(number of flux measurements within one scan)
MAXCOMBOS = 12        #(12 channels for 6 baselines)
FTMEMORY = 600        #(History size)

liveDisplayStatus = 0
activeFringe = np.array([1,1,1,1,1,1])
nbpxFringe = 25  #check this number
nbFringe = nBL   #adjust this number
plotType = np.array([0,0,0,0])
intPlotA = 1
intPlotB = 1
intPlotC = 1
intPlotD = 1

plotEMPTY = 0
plotFLUXvsOPD = 1
plotAMPvsOPD = 2
plotFLUXvsT = 3
plotPHIvsT = 4
plotDELAYvsT = 5
plotFTOFFSvsT = 6
plotFTSTATEvsT = 7
plotAMPvsFTOFFS = 8
plotPHIvsOPD = 9

dataReadyFLUXvsOPD = 0
dataReadyAMPvsOPD = 0
dataReadyFLUXvsT = 0
dataReadyPHIvsT = 0
dataReadyDELAYvsT = 0
dataReadyFTOFFSvsT = 0
dataReadyFTSTATEvsT = 0
dataReadyAMPvsFTOFFS = 0
dataReadyPHIvsOPD = 0

FLUXvsTArr = np.zeros((MAXCOMBOS, FTMEMORY), dtype=np.float32)
FLUXvsTArrScanNrLast = 0
FLUXvsTArrScanNrNew = 0

FLUXvsOPDArr = np.zeros((MAXCOMBOS, numberOfFrames), dtype=np.float32)

PHIvsOPDArr = np.zeros((MAXCOMBOS/2, numberOfFrames), dtype=np.float64)

AMPvsOPDArrOPD = np.zeros((MAXCOMBOS, numberOfFrames), dtype=np.float32)
AMPvsOPDArrAMP = np.zeros((MAXCOMBOS, numberOfFrames), dtype=np.float32)  
AMPvsOPDArrFIT = np.zeros((6, 6), dtype=np.float32)

PHIvsTArr = np.zeros((MAXCOMBOS / 2, FTMEMORY), dtype=np.float32)
PHIvsTArrScanNrLast = 0
PHIvsTArrScanNrNew = 0

DELAYvsTArr = np.zeros((MAXCOMBOS / 2, FTMEMORY), dtype=np.float32)
DELAYvsTArrScanNrLast = 0
DELAYvsTArrScanNrNew = 0


tel1Entry = {}
tel2Entry = {}


